.custom-template {
	position: fixed;
	top: 50%;
	transform: translateY(-50%);
	right: -325px;
	width: 325px;
	height: max-content;
	display: block;
	z-index: 1;
	background: #ffffff;
	transition: all .3s;
	z-index: 1003;
	box-shadow: -1px 1px 20px rgba(69, 65, 78, 0.15);
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	transition: all .5s;
}

.custom-template.open {
	right: 0px;
}

.custom-template .custom-toggle {
	position: absolute;
	width: 45px;
	height: 45px;
	background: rgb(88, 103, 221);
	top: 50%;
	left: -45px;
	transform: translateY(-50%);
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	border-right: 1px solid #177dff;
	cursor: pointer;
	color: #ffffff;
	box-shadow: -5px 5px 20px rgba(69, 65, 78, 0.21);
}

.custom-template .custom-toggle i {
	font-size: 20px;
}

.custom-template .title{
    padding: 15px;
    text-align: left;
    font-size: 16px;
    font-weight: 600;
    color: #ffffff;
    border-top-left-radius: 5px;
    border-bottom: 1px solid #ebedf2;
    background: #5867dd;
}

.custom-template .custom-content{
	padding: 20px 15px;
	max-height: calc(100vh - 90px);
	overflow: auto;
}

.custom-template .switcher {
	padding: 5px 0;
}

.custom-template .switch-block h4 {
	font-size: 13px;
	font-weight: 600;
	color: #444;
	line-height: 1.3;
	margin-bottom: 0;
	text-transform: uppercase;
}

.custom-template .btnSwitch {
	margin-top: 20px;
	margin-bottom: 25px;
}

.custom-template .btnSwitch button {
	border: 0px;
	height: 20px;
	width: 20px;
	outline: 0;
	margin-right: 10px;
	margin-bottom: 10px;
	cursor: pointer;
	padding: 0;
	border-radius: 50%;
	border: 2px solid #eee;
	position: relative;
	transition: all .2s;
}

.custom-template .btnSwitch button:hover{
	border-color: #0bf;
}

.custom-template .btnSwitch button.selected{
	border-color: #0bf;
}

.custom-template .img-pick {
	padding: 4px;
	min-height: 100px;
	border-radius: 5px;
	cursor: pointer;
}

.custom-template .img-pick img {
	height: 100%;
	height: 100px;
	width: 100%;
	border-radius: 5px;
	border: 2px solid transparent;
}

.custom-template .img-pick:hover img, .custom-template .img-pick.active img{
	border-color: #177dff;
}

.demo .btn, .demo .progress{
	margin-bottom: 15px !important;
}

.demo .form-check-label, .demo .form-radio-label{
	margin-right: 15px;
}

.demo .toggle, .demo .btn-group{
	margin-right: 15px;
}

.demo #slider{
	margin-bottom: 15px;
}

.table-typo tbody > tr > td{
	border-color: #fafafa;
}

.table-typo tbody > tr > td:first-child{
	min-width: 200px;
	vertical-align: bottom;
}

.table-typo tbody > tr > td:first-child p{
	font-size: 14px;
	color: #333;
}

.demo-icon {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-bottom: 20px;
	padding: 10px;
	transition: all .2s;
}

.demo-icon:hover{
	background-color: #f4f5f8;
	border-radius: 3px;
}

.demo-icon .icon-preview{
	font-size: 1.8rem;
	margin-right: 10px;
	line-height: 1;
	color: #333439;
}

body[data-background-color="dark"] .demo-icon .icon-preview {
	color: #969696;
}

.demo-icon .icon-class{
	font-weight: 300;
	font-size: 13px;
	color: #777;
}

body[data-background-color="dark"] .demo-icon .icon-class {
	color: #a9a8a8;
}

.form-show-notify .form-control{
	margin-bottom: 15px;
}

.form-show-notify label{
	padding-top: 0.65rem;
}

.map-demo {
	height: 300px;
}

#instructions li{
	padding: 5px 0;
}

.row-demo-grid{
	margin-bottom: 15px;
}

.row-demo-grid [class^="col"]{
	text-align: center;
}

.row-demo-grid [class^="col"] .card-body{
	background: #ddd;
}

.btnSwitch button[data-color="white"] {
	background-color: #fff;
}
.btnSwitch button[data-color="grey"] {
	background-color: #f1f1f1;
}
.btnSwitch button[data-color="black"] {
	background-color: #191919;
}
.btnSwitch button[data-color="dark"] {
	background-color: #1a2035;
}
.btnSwitch button[data-color="blue"] {
	background-color: #1572E8;
}
.btnSwitch button[data-color="purple"] {
	background-color: #6861CE;
}
.btnSwitch button[data-color="light-blue"] {
	background-color: #48ABF7;
}
.btnSwitch button[data-color="green"] {
	background-color: #31CE36;
}
.btnSwitch button[data-color="orange"] {
	background-color: #FFAD46;
}
.btnSwitch button[data-color="red"] {
	background-color: #F25961;
}
.btnSwitch button[data-color="dark2"] {
	background-color: #1f283e;
}
.btnSwitch button[data-color="blue2"] {
	background-color: #1269DB;
}
.btnSwitch button[data-color="purple2"] {
	background-color: #5C55BF;
}
.btnSwitch button[data-color="light-blue2"] {
	background-color: #3697E1;
}
.btnSwitch button[data-color="green2"] {
	background-color: #2BB930;
}
.btnSwitch button[data-color="orange2"] {
	background-color: #FF9E27;
}
.btnSwitch button[data-color="red2"] {
	background-color: #EA4d56;
}
.btnSwitch button[data-color="bg1"] {
	background-color: #fafafa;
}
.btnSwitch button[data-color="bg2"] {
	background-color: #fff;
}
.btnSwitch button[data-color="bg3"] {
	background-color: #f1f1f1;
}

@media screen and (max-width: 550px){
	.table-typo tr td{
		display: flex;
		align-items: center;
		word-break: break-word;
	}

	.table-typo tr td:first-child p{
		margin-bottom: 0px;
	}
}

@media screen and (max-width: 576px){
	.custom-template .custom-content {
		overflow: auto;
	}
	.form-show-notify > .text-right, .form-show-validation > .text-right {
		text-align: left !important;
	}
}

@media screen and (max-width: 400px) {
	.custom-template {
		width: 85% !important;
		right: -85%;
	}
}

.loginpagebf {
	background-image: url("../img/login-bg-1.png")!important;
	background-position: center; /* Center the image */
	background-repeat: no-repeat; /* Do not repeat the image */
	background-size: cover; 
}
.validation {
	color:red;
}
.input-border-bottom {
	color:#7d7777 !important;
}

/* New Added By Designer */

.btn-primary {
    background: #3F8632 !important;
    border-color: #3F8632 !important;
}
.btn-primary:hover {
    background: #1C3732 !important;
    border-color: #1C3732 !important;
}
.btn-primary:hover, .btn-primary:focus, .btn-primary:disabled{
	background: #3F8632 !important;
    border-color: #3F8632 !important;
}
.login100-pic {
    width: 316px;
    padding-top: 20px;
	padding-bottom: 20px;
    display: flex;
    align-items: center;
}
@media (max-width: 576px){
	.wrap-login100 {
		padding: 33px 15px 33px 15px;
		padding: 33px 15px 33px 15px;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
		margin-top: -65px;
	}
	.login100-pic {
		padding-top: 10px;
		padding-bottom: 20px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 100%;
		border-bottom: 1px solid #ccc;
	}
	.login100-pic.js-tilt img{
		width: 300px;
	}
	.login100-form-title{
		padding-bottom: 10px;
		padding-top: 24px;
	}	
	div#divLoginFrm {
		margin-top: 24px;
	}
	.mt--5, .my--5 {
		margin-top: -3.5rem !important;
	}
	.page-inner.py-5 {
		padding-top: 12px!important;
	}
}
.btn.btn-primary.btnUserLogin {
    min-width: 188px;
}
.btn-secondary{
    background: #979797  !important;
    border-color: #979797  !important;
    color: #ffffff !important;
}
.btn-secondary:hover{
    background: #585858 !important;
    border-color: #585858 !important;
    color: #ffffff !important;
}
.btn-secondary:hover, .btn-secondary:focus, .btn-secondary:disabled {
    background: #979797  !important;
    border-color: #979797  !important;
}

.input-border-bottom {
    color: #343434 !important;
}
body {
    color: #1c1c1c;
}
.card-title{
    color: #1c1c1c!important;
}
.page-title{
	color: #1c1c1c!important;
}
.custom-header{
	justify-content: space-between;
	align-items: center;
}
.custom-header h2{
	padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}
.custom-header .pb-2, .py-2 {
    padding-bottom: 0!important;
}
.custom-header .pt-2, .py-2 {
    padding-top: 0!important;
}
@media (min-width: 992px){
	.page-inner {
		padding-top: 1.2rem !important;
	}
}
@media (max-width: 576px){
	.Custom-Responsive  .card{
		margin-bottom: 18px;
	}
	.mt-3-mobile{
		margin-top: 16px;
	}
}
.page-item.active .page-link{
	background-color: #3F8632;
    border-color: #3F8632;
}
.custom-template .custom-toggle{
	background: #3F8632;
	border-right: 1px solid #3F8632;
}
div.dataTables_wrapper div.dataTables_filter {
    text-align: right;
    margin-bottom: 14px;
}

.space-remove .col-sm-12{
	padding: 0;
}

@media screen and (max-width: 767px){
	div.dataTables_wrapper div.dataTables_length, div.dataTables_wrapper div.dataTables_filter, div.dataTables_wrapper div.dataTables_info, div.dataTables_wrapper div.dataTables_paginate {
		text-align: right!important;
	}
	#tblAttendance_filter {
		margin-top:-20px !important;
	}
}
.form-control {
    border-color: #ccc !important;
    min-height: 36px;
	border: 1px solid;
}
.form-control:focus {
    border-color: #3f8632 !important;
}
.btn-sm{
	min-height: 36px;
}
.p-0{
	padding: 0!important;
}

.swal2-actions {
    flex-direction: row-reverse;
    display: flex;
}
ul.dtr-details {
    width: 100%;
}
ul.dtr-details li {
    margin-top: 8px;
    margin-bottom: 8px;
}
.btn {
    padding: 0.5rem 1.4rem;
}
#tblCustomer_wrapper .col-sm-12{
	padding: 0;
}
.table-pagination{
	display: flex;
    align-items: center;
    justify-content: space-between;
}
.container-login100{
	justify-content: center;
    padding: 20px 98px;
}
.wrap-login100{
	justify-content: center;
    width: 520px;
	padding: 0px 60px 8px 60px;
	filter: drop-shadow(4px 4px 5px rgba(0, 0, 0, 0.25));
}
.login-footer-image{
	width: 100px;
	margin-bottom: 18px;
	margin-top: 10px;
}
.login-footer-section{
    margin-top: 52px;

}
.powered-by-text {
	border-right: 1px solid #141414;
	padding-right: 14px;
	font-weight: 600;
} 
.login100-form-title {
    padding-bottom: 26px;
    padding-top: 36px;
}
@media (max-width: 576px){
	.container-login100 {
		justify-content: center;
		padding: 42px 14px;
	}
	.card .card-body, .card-light .card-body {
		padding: 1.25rem 12px;
	}
}


@media (max-width: 1080px){
	.wrap-login100 {
		justify-content: center;
		width: 450px;
	}
	.container-login100 {
		justify-content: center;
	}
	.login100-form-title {
		padding-bottom: 14px;
		padding-top: 38px;
	}
}
@media (min-width: 1081px){
	.login100-form-title {
		padding-bottom: 26px;
		padding-top: 50px;
	}
}
.card .card-title{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.m-t-42{
	margin-top: 42px;
}
.col-md-12 #tblAttendance_wrapper{
	padding: 0;
}
#tblUser_wrapper .col-sm-12 {
    padding: 0;
}
@media (max-width: 576px){
	.m-t-42 {
		margin-top: 20px;
	}	
}
.input-group {
    height: 36px;
}
.custom-table-padding{
	padding-left: 12px;
	padding-right: 12px;
}
div#tblOrdersReport_wrapper {
    padding: 0;
}
div#tblEmployeeReport_wrapper {
    padding: 0;
}
@media screen and (max-width: 640px){
	div.dt-buttons {
		float: none !important;
		text-align: left!important;
	}
}
button.dt-button.buttons-excel.buttons-html5 {
    background: #3F8632;
    border: 1px solid #3F8632;
    color: #fff;
}
div#tblExpense_wrapper {
    padding: 0;
}
/* .form-control.form-control {
    padding: 0.4rem 1rem!important;
} */
.mt-28{
	margin-top: 28px;
}
.mt-40{
	margin-top: 40px;
}
@media screen and (max-width: 640px){
	.mt-6{
		margin-top: 6px;
	}
	.custom-mt-6{
		margin-top: 6px;
	}
}
#tblEmployee_wrapper .col-sm-12 {
	padding: 0;
}
div#tblVehicleType_wrapper {
    padding: 0;
}
span.font-11.m-l-15 {
    margin-bottom: 14px;
}
@media screen and (max-width: 991px){
	.d-none-991{
		display: block;
		width: 100%;
		color: #fff;
	}
	ul.navbar-nav.topbar-nav.ml-md-auto.align-items-center {
		display: none;
	}
	li.nav-item.dropdown.hidden-caret.submenu {
		display: none;
	}
	.dropdown-item{
		color: #fff;
	}
}

@media screen and (min-width: 991px){
	.d-none-991 {
		display: none;
	}

}
input.form-control.form-control-sm.textSearch {
    height: 34px;
    min-height: 34px;
}
.lable-single-line{
    display: flex;
    align-items: center;
    margin-right: 10px;
}
.single-line-row{
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: flex-end;
}
.single-line-input{
	display: flex;
	align-items: center;
	margin-right: 14px;
	/*flex-wrap: wrap;*/
}
.btn-filter.btn {
    padding: 0.5rem 1rem;
}
h4.page-title {
    margin-bottom: 20px!important;
	margin-top: 10px;
}
.filter-btn-single-line {
    margin-bottom: 14px;
    margin-top: 14px;
}
@media screen and (max-width: 640px){
	.filter-btn-single-line {
		width: 100%;
	}
	.single-line-input .input-group{
		width: 100%;
	}
	.w-100-sm{
		width: 100%;
		margin-top: 5px;
	}
	h4.page-title {
		margin-top: 0px;
	}
}

.btn-orange {
    background: #f05922 ;
    background: #f05922 ;
	color: #fff;
}
.btn-orange:hover {
    background: #d84712 ;
    background: #d84712 ;
}
@media screen and (max-width:1150px){
	.single-line-input {
		margin-right: 0px;
	}
}

@keyframes spin {
	0% {
		transform: translate(2px, 1px) rotate(0deg);
	}
	10% {
		transform: translate(-1px, -3px) rotate(36deg);
	}
	20% {
		transform: translate(-2px, 0px) rotate(72deg);
	}
	30% {
		transform: translate(1px, 2px) rotate(108deg);
	}
	40% {
		transform: translate(1px, -1px) rotate(144deg);
	}
	50% {
		transform: translate(-1px, 3px) rotate(180deg);
	}
	60% {
		transform: translate(-1px, 1px) rotate(216deg);
	}
	70% {
		transform: translate(3px, 1px) rotate(252deg);
	}
	80% {
		transform: translate(-2px, -1px) rotate(288deg);
	}
	90% {
		transform: translate(2px, 1px) rotate(324deg);
	}
	100% {
		transform: translate(1px, -2px) rotate(360deg);
	}
}
@keyframes speed {
	0% {
		transform: translate(2px, 1px) rotate(0deg);
	}
	10% {
		transform: translate(-1px, -3px) rotate(-1deg);
	}
	20% {
		transform: translate(-2px, 0px) rotate(1deg);
	}
	30% {
		transform: translate(1px, 2px) rotate(0deg);
	}
	40% {
		transform: translate(1px, -1px) rotate(1deg);
	}
	50% {
		transform: translate(-1px, 3px) rotate(-1deg);
	}
	60% {
		transform: translate(-1px, 1px) rotate(0deg);
	}
	70% {
		transform: translate(3px, 1px) rotate(-1deg);
	}
	80% {
		transform: translate(-2px, -1px) rotate(1deg);
	}
	90% {
		transform: translate(2px, 1px) rotate(0deg);
	}
	100% {
		transform: translate(1px, -2px) rotate(-1deg);
	}
}
@keyframes strikes {
	from {
		left: 25px;
	}
	to {
		left: -80px;
		opacity: 0;
	}
}
@keyframes dots {
	from {
		width: 0px;
	}
	to {
		width: 15px;
	}
}
@keyframes fadeIn {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}

.fadeIn, .loading-window {
	animation: fadeIn 0.4s both;
}

.loading-window {
	background: rgba(105,105,105, 0.7);
	color: #ffffff;
	height: 100%;
	position: fixed;
	width: 100%;
	z-index: 9999;
	opacity: 0.1;
}
.loading-window .text {
	font-size: 16px;
	position: absolute;
	width: auto;
	top: 75%;
	left: 38%;
	margin: 0 auto;
}
.loading-window .dots {
	display: inline-block;
	width: 5px;
	overflow: hidden;
	vertical-align: bottom;
	animation: dots 1.5s linear infinite;
	transition: 1;
}

.car {
	position: absolute;
	width: 117px;
	height: 42px;
	left: 50%;
	top: 50%;
}
.car .strike {
	position: absolute;
	width: 11px;
	height: 1px;
	background: #ffffff;
	animation: strikes 0.2s linear infinite;
}
.car .strike2 {
	top: 11px;
	animation-delay: 0.05s;
}
.car .strike3 {
	top: 22px;
	animation-delay: 0.1s;
}
.car .strike4 {
	top: 33px;
	animation-delay: 0.15s;
}
.car .strike5 {
	top: 44px;
	animation-delay: 0.2s;
}
.car-detail {
	position: absolute;
	display: block;
	background: #FF0000;
	animation: speed 0.5s linear infinite;
}
.car-detail.spoiler {
	width: 0;
	height: 0;
	top: 7px;
	background: none;
	border: 20px solid transparent;
	border-bottom: 8px solid #FF0000;
	border-left: 20px solid #FF0000;
}
.car-detail.back {
	height: 20px;
	width: 92px;
	top: 15px;
	left: 0px;
}
.car-detail.center {
	height: 35px;
	width: 75px;
	left: 12px;
	border-top-left-radius: 30px;
	border-top-right-radius: 45px 40px;
	border: 4px solid #FF0000;
	background: none;
	box-sizing: border-box;
}
.car-detail.center1 {
	height: 35px;
	width: 35px;
	left: 12px;
	border-top-left-radius: 30px;
}
.car-detail.front {
	height: 20px;
	width: 50px;
	top: 15px;
	left: 67px;
	border-top-right-radius: 50px 40px;
	border-bottom-right-radius: 10px;
}
.car-detail.wheel {
	height: 20px;
	width: 20px;
	border-radius: 50%;
	top: 20px;
	left: 12px;
	border: 3px solid #333;
	background: linear-gradient(45deg, transparent 45%, #ffffff 46%, #ffffff 54%, transparent 55%), linear-gradient(-45deg, transparent 45%, #ffffff 46%, #ffffff 54%, transparent 55%), linear-gradient(90deg, transparent 45%, #ffffff 46%, #ffffff 54%, transparent 55%), linear-gradient(0deg, transparent 45%, #ffffff 46%, #ffffff 54%, transparent 55%), radial-gradient(#ffffff 29%, transparent 30%, transparent 50%, #ffffff 51%), #333;
	animation-name: spin;
}
.car-detail.wheel2 {
	left: 82px;
}


.loading-window {  
	pointer-events: none;  
}
.btn-login-new {
	min-width: 188px;
	color: #fff;
	background: #101f87 !important;
    border-color: #293167 !important;
}
.btn-login-new:hover, .btn-login-new:focus, .btn-login-new:disabled {
	background: #101f87 !important;
    border-color: #293167 !important;
	color: #fff;
}
.ui-timepicker-viewport{
	overflow-y:scroll!important;
	overflow-x:hidden!important;
	height:200px!important;
	padding: 0!important;
}

.form-control[readonly]{
	background:#ffffff!important;
	border-color: #ccc !important;
	opacity: 1 !important;
}